@ECHO OFF
SET BCXPATH=D:\IDE\BCX
SET LCCPATH=D:\IDE\LCC
IF NOT EXIST %1.bas GOTO usage
IF NOT EXIST "%BCXPATH%\bin\bc.exe" GOTO bcxerror
ECHO .
ECHO Basic To C/C++ Translator Start ...
"%BCXPATH%\bin\bc.exe" %1
IF NOT EXIST "%LCCPATH%\bin\lcc.exe" GOTO lccerror
ECHO .
ECHO LCC-WIN32 Compiler Start ...
"%LCCPATH%\bin\lcc.exe" -Zp1 -v %1.c
"%LCCPATH%\bin\lcclnk.exe" -o %1.exe -subsystem console -v -s %1.obj %2 %3 %4 %5 %6 %7 %8 %9
ECHO Finished!
GOTO done
:bcxerror
ECHO **************************************************************
ECHO !Basic to C/C++ Translator NOT FIND                          !
ECHO !Path BCX default: "%BCXPATH%"                               !
ECHO **************************************************************
GOTO done
:lccerror
ECHO **************************************************************
ECHO !LCC-WIN32 NOT FIND                                          !
ECHO !Path LCC default: "%LCCPATH%"                               !
ECHO **************************************************************
GOTO done
:usage
ECHO **************************************************************
ECHO  Usage:  LCALL.BAT MainFile  ExtraFile1 ExtraFile2 ExtraFile3
ECHO  Note:   ExtraFiles can be .libs, .res , .obj
ECHO  Use this batch file to create console mode program
ECHO **************************************************************
:done
